Please fix WOT for Firefox

Romanejo
Posts: 1
Joined: Fri Jan 06, 2017 4:46 pm

Please fix WOT for Firefox

Post by Romanejo » Fri Jan 06, 2017 4:46 pm

PLEASE do whatever is necessary to work with Firefox.

I wanted to update Firefox but (in 42.0) it says it "cannot be verified for use in Firefox." I could still use it however. Then I upgraded to 44 anyway (they are up to 52, BTW) and it not only repeated the warning, it DISABLED IT and there is NOTHING I can do about it!

PLEASE UPDATE OR DO WHATEVER IS NECESSARY TO MAKE IT COMPATIBLE AGAIN!!

User avatar
destinationtruth
Posts: 404
Joined: Tue May 12, 2015 7:47 pm
Location: Cherokee Nation

RE: Please fix WOT for Firefox

Post by destinationtruth » Fri Jan 06, 2017 8:56 pm

Currently only "Chrome" has an add-on that can be downloaded.
https://www.mywot.com/en/forum/28118-ca ... ent-354594

Still amazes me how few knows about the issues here at WoT.

Betrayer11
Posts: 1
Joined: Wed Jan 11, 2017 10:06 pm

RE: Please fix WOT for Firefox

Post by Betrayer11 » Wed Jan 11, 2017 10:06 pm

Is this why my activity score and number of ratings stays at zero?

User avatar
NotBuyingIt
Posts: 3278
Joined: Fri Mar 11, 2011 6:21 pm

RE: Please fix WOT for Firefox

Post by NotBuyingIt » Wed Jan 11, 2017 10:41 pm

<quote user="betrayer11">
Is this why my activity score and number of ratings stays at zero?
[/quote]
Either your account needs to be synchronized or you have probably encountered a different (known) bug which has been discussed elsewhere in this forum. Please search the Support forum for more information (example); this is not the appropriate discussion thread.
&nbsp;

villa-mimosa-pignatone
Posts: 2
Joined: Fri Jan 13, 2017 11:53 am

RE: Please fix WOT for Firefox

Post by villa-mimosa-pignatone » Fri Jan 13, 2017 11:53 am


I had to eliminate Firefox and now I don't have the extension anymore. How do I get it? I don't want Google chrome.
I had it on Firefox Mac OS !!! Why can't I get it anymore?

User avatar
spectre
Posts: 4002
Joined: Sun May 03, 2009 10:43 pm

RE: Please fix WOT for Firefox

Post by spectre » Fri Jan 13, 2017 5:07 pm

Currently there isn't an add on for Firefox. Please see https://www.mywot.com/en/forum/70818-to ... -community.

User avatar
Satchman
Posts: 691
Joined: Mon Dec 28, 2009 1:08 pm

RE: Please fix WOT for Firefox

Post by Satchman » Wed Jan 25, 2017 2:47 pm

Guys,

I just got a Firefox Security Warning about WOT, recommending that I disable the ad-on. This is from that old suspicious German data situation. Three questions:

1.) Will new versions of Firefox have this pop-up message?


2.) When will this be fixed?

3.) Running Firefox 50,

Satch

User avatar
NotBuyingIt
Posts: 3278
Joined: Fri Mar 11, 2011 6:21 pm

RE: Please fix WOT for Firefox

Post by NotBuyingIt » Wed Jan 25, 2017 3:22 pm

<quote user="satchman">
I just got a Firefox Security Warning about WOT, recommending that I disable the ad-on. This is from that old suspicious German data situation. Three questions:

1.) Will new versions of Firefox have this pop-up message?


2.) When will this be fixed?

3.) Running Firefox 50,

[/quote]

The issues are explained and answers, when they become available, will be found here:
hxxps://bugzilla.mozilla.org/show_bug.cgi?id=1314332 <quote user="wot team">We are working to upload [a corrected add-on to the Mozilla Firefox site] ASAP [/quote]

See also the Support thread at Firefox trying to disable APP.
&nbsp;

Cassandra.ward
Posts: 1
Joined: Thu Jan 26, 2017 1:54 am

RE: Please fix WOT for Firefox

Post by Cassandra.ward » Thu Jan 26, 2017 1:54 am

I also got a message from Firefox that said "Web of Trust 20170120 and lower has been blocked for your protection." It says also that Mozilla blocks third-party software, add-ons, and plugins that compromise security, stability or performance that meets certain criteria is blocked. Finally, Firefox blocked on Jan 24, 2017.

User avatar
Michael Fisk
Posts: 1
Joined: Thu Jan 26, 2017 6:25 pm

RE: Please fix WOT for Firefox

Post by Michael Fisk » Thu Jan 26, 2017 6:25 pm

Here's what FIREFOX did with my WOT Add-on:
Web of Trust 20170120 and lower has been blocked for your protection.

Why was it blocked?
Versions 20170120 and lower of the Web of Trust add-on send excessive user data to its service, which has been reportedly shared with third parties without sufficient sanitization. These versions are also affected by a vulnerability that could lead to unwanted remote code execution.
Who is affected?
All Firefox users who have these versions of the Web of Trust add-on installed.
What does this mean?

The problematic add-on or plugin will be automatically disabled and no longer usable.
When Mozilla becomes aware of add-ons, plugins, or other third-party software that seriously compromises Firefox security, stability, or performance and meets certain criteria, the software may be blocked from general use. For more information, please read this support article.

Blocked on Jan 24, 2017. View block request.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests